| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
RemoteGotoAction Class Reference
PDF » actions

RemoteGoto action object. More...

Inheritance diagram for RemoteGotoAction:

## Public Member Functions
| getDestination ()
| Get the destination information. More...
| getFileSpec ()
| Get file specifications. More...
| getNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
| setDestination (destination)
| Set the destination information. More...
| setFileSpec (fileSpec)
| Set file specifications. More...
| setNewWindowFlag (flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
Public Member Functions inherited from Action
| getSubAction (index)
| Get a sub-action by index. More...
| getSubActionCount ()
| Get the count of sub-actions. More...
| getType ()
| Get action type. More...
| insertSubAction (index, action)
| Insert a new sub-action to the location specified by index. More...
| removeAllSubActions ()
| Remove all the sub-actions. More...
| removeSubAction (index)
| Remove a sub-action, specified by index. More...
| setSubAction (index, action)
| Set a sub-action by index. More...

## Detailed Description

RemoteGoto action object.

Deprecated:
  Action related APIs have been moved under each object.

See also
  Annot
  Widget
  PDFFormField
  PDFDoc

## Member Function Documentation

## ◆ getDestination()

RemoteGotoAction::getDestination | ( |  | ) |
| inline

Get the destination information.

Returns
  object - A destination object.

Example:
  function example (action) {
  action.getDestination();
  }

Since
  11.0.0

## ◆ getFileSpec()

RemoteGotoAction::getFileSpec | ( |  | ) |
| inline

Get file specifications.

Returns
  FileSpec - The file specifications object.

Example:
  function example (action) {
  action.getFileSpec();
  }

Since
  11.0.0

## ◆ getNewWindowFlag()

RemoteGotoAction::getNewWindowFlag | ( |  | ) |
| inline

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  number - Flag value.

Example:
  function example (action) {
  action.getNewWindowFlag();
  }

Since
  11.0.0

## ◆ setDestination()

RemoteGotoAction::setDestination | ( |  | destination | ) |
| inline

Set the destination information.

Parameters

  destination | object - A valid destination object to be set.
  destination.zoomMode | string - Set the zoom mode.Please refer to values starting from ZoomMode and this would be one of these values.
  destination.zoomFactor | number - Set zoom factor.This is only useful when zoom mode is ZoomXYZ. For ZoomXYZ, if the zoom factor is 0, that means just use current zoom factor of application as the destination zoom factor. For other zoom mode, this function will be 0. Valid when the zoomMode is ZoomXYZ.
  destination.pageIndex | string - The index of the destination page in the PDF document.
  destination.left | string - Set left position value. Valid when the zoomMode is ZoomXYZ or ZoomFitRect.
  destination.top | string - Set top position value. Valid when the zoomMode is ZoomXYZ or ZoomFitRect or ZoomFitHorz.
  destination.right | string - Set right position value. Valid when the zoomMode is ZoomFitRect.
  destination.bottom | string - Set bottom position value. Valid when the zoomMode is ZoomFitRect.

Returns
  Promise<object> - An action object.

Example:
  async function example (action) {
  let destination = {
  zoomMode: PDFViewCtrl.PDF.constant.ZoomMode.ZoomXYZ,
  zoomFactor: 0,
  pageIndex: 1,
  left: 0,
  top: 0,
  right: 0,
  bottom: 0
  };
  await action.setDestination(destination);
  }

Since
  11.0.0

## ◆ setFileSpec()

RemoteGotoAction::setFileSpec | ( |  | fileSpec | ) |
| inline

Set file specifications.

Parameters

  fileSpec | FileSpec - The file specifications object.

Returns
  Promise<object> - An action object.

Example:
  async function example (action) {
  const FileSpec = PDFViewCtrl.PDF.common.FileSpec;
  let fileSpec = new FileSpec({
  fileName: './example.pdf',
  });
  await action.setFileSpec(fileSpec);
  }

Since
  11.0.0

## ◆ setNewWindowFlag()

RemoteGotoAction::setNewWindowFlag | ( |  | flag | ) |
| inline

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  flag | NewWindowFlag - The flag value.

Returns
  Promise<object> - An action object.

Example:
  function example (action) {
  action.setNewWindowFlag(PDFViewCtrl.PDF.constant.NewWindowFlag.NewWindowFlagTrue);
  }

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.